Vla-addtorus

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-addtorus vla-object center TorusRadius TubeRadius)


機能
3Dソリッドのトーラスを作図する。


引数
  • vla-object … 生成する空間のVLAオブジェクト
  • center … 基点の3Dポイント
  • TorusRadius … トーラスの半径(正数)
  • TubeRadius … トーラスチューブの半径(正数)


戻り値
作成した3DトーラスのVLAオブジェクト


サンプル
 ; コマンドで トーラスを追加
(command "._torus" pause pause pause)

; コマンドで トーラス追加(変数利用版)
(defun c:cm-addtorus (/ pt1 rad1 rad2 hgt)
 (setq pt1 (getpoint "\nトーラスの中心点: "))
 (setq rad1 (getreal "\nトーラス半径: "))
 (setq rad2 (getreal "\nトーラスチューブ半径: "))
 (command "._torus" pt1 rad1 rad2)
)

; VLA でトーラス追加(適当にactivex版)
; コレでできるはずだけど出来ないっぽい
(defun c:ax-addtorus (/ pt1 rad1 rad2)
  (vl-load-com)
  (setq *actdoc* (vla-get-activedocument (vlax-get-acad-object)))
  (setq mspace (vla-get-modelspace *actdoc*))
  (setq pt1 (vlax-3d-point (setq pt (getpoint "\n中心点: "))))
  (setq rad1 (getdist "\nトーラスの半径: " pt))
  (setq rad2 (getreal "\nチューブ半径: "))
  (vla-addtorus mspace pt1 rad1 red2)
  (princ)
) ;defun


関連事項